pyupsmon
========

Monitor for Wöhrle CONVERT-1000 UPS written in Python3

Installation
------------

* Install pyyaml
```
sudo emerge -NDuv pyyaml
```
* Check out this project and copy the example config file to `/etc`
```
sudo cp pyupsmon.yml.example /etc/pyupsmon.yml
```
* Edit the config to your liking using your favourite text editor
* Install the Python script
```
sudo mkdir -p /usr/local/sbin
sudo cp pyupsmon.py /usr/local/sbin/pyupsmon
sudo chmod 0755 /usr/local/sbin/pyupsmon
```
* Install the `systemd` unit file
```
sudo cp pyupsmon.service /etc/systemd/system
```
* Enable and start the service
```
sudo systemctl enable pyupsmon.service
sudo systemctl start pyupsmon.service
```
